# Container image that runs your code
FROM debian:stable-slim

RUN apt-get update && \
    apt-get install -y \
    unzip \
    curl

RUN curl -L -o butler.zip https://broth.itch.ovh/butler/linux-amd64/LATEST/archive/default

RUN unzip butler.zip && \
    mv butler /usr/local/bin/butler && \
    rm butler.zip

COPY entrypoint.sh /entrypoint.sh
RUN chmod +x /entrypoint.sh

ENTRYPOINT ["/entrypoint.sh"]
